require "crypto/bcrypt/password"
require "jennifer/model/authentication"

module ContainerMom::Models
  class User < Jennifer::Model::Base
    with_timestamps

    mapping(
      id: Primary64,
      email: String,
      name: String?,
      created_at: Time?,
      updated_at: Time?
    )
    
    # Temporarily remove relationships until we get the base model working
    # has_many :api_tokens, ApiToken
  end
end
